aboutsummaryrefslogtreecommitdiffstats
path: root/user-scripts
diff options
context:
space:
mode:
Diffstat (limited to 'user-scripts')
-rw-r--r--user-scripts/README.md1
-rwxr-xr-xuser-scripts/imgresize2
-rwxr-xr-xuser-scripts/transfer16
3 files changed, 18 insertions, 1 deletions
diff --git a/user-scripts/README.md b/user-scripts/README.md
index 1bfcbd4..cbed784 100644
--- a/user-scripts/README.md
+++ b/user-scripts/README.md
@@ -13,4 +13,5 @@
| nlaunch | Drop-down independent app launcher (needs fzy), drop in `$PATH`; fallback regular prompt |
| picker | Pick files and pipe the newline-separated list to another utility |
| sxiv | Open images in current directory in sxiv |
+| transfer | Upload current file to transfer.sh |
| upgrade | Check and update to latest version of nnn manually on Debian 9 Stretch |
diff --git a/user-scripts/imgresize b/user-scripts/imgresize
index 40b9945..6d016f1 100755
--- a/user-scripts/imgresize
+++ b/user-scripts/imgresize
@@ -25,7 +25,7 @@ if [ -z "$res" ]; then
read res
fi
-if [ -z "$res" ]; then
+if ! [ -z "$res" ]; then
if ! [ -z "$minsize" ]; then
imgp -ackx "$res" -s "$minsize"
fi
diff --git a/user-scripts/transfer b/user-scripts/transfer
new file mode 100755
index 0000000..7201b0b
--- /dev/null
+++ b/user-scripts/transfer
@@ -0,0 +1,16 @@
+#!/usr/bin/env sh
+
+# Description: Upload a file to transfer.sh
+#
+# Shell: POSIX compliant
+# Author: Arun Prakash Jana
+
+if ! [ -z "$1" ]; then
+ # Upload the file, show the download link and wait till user presses any key
+ curl -s --upload-file "$1" https://transfer.sh/`basename "$1"`
+ echo
+ read input
+
+ # To write download link to "$1".loc and exit
+ # curl -s --upload-file "$1" https://transfer.sh/`basename "$1"` -o `basename "$1"`.loc
+fi